package domain;

import java.io.Serializable;
import java.util.Vector;

@SuppressWarnings("serial")
public class Owner implements Serializable {

	private String bankAccount = "";
	private String name = "";
	private Vector<RuralHouse> ruralHouses;

	public Owner(String name) {
		this.name = name;
		ruralHouses = new Vector<RuralHouse>();
	}

	public Owner(String name, String bankAccount) {
		this.bankAccount = bankAccount;
		this.name = name;
		ruralHouses = new Vector<RuralHouse>();
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getBankAccount() {
		return this.bankAccount;
	}

	public void setBankAccount(String bankAccount) {
		this.bankAccount = bankAccount;
	}

	public Vector<RuralHouse> getRuralHouses(){
		return this.ruralHouses;
	}



	public RuralHouse addRuralHouse(int houseNumber, String description,
			String town, int nRooms, int nKitchens, int nBaths, int nLivings,
			int nParkings) {
		HouseFeatures feature = new HouseFeatures(nRooms, nKitchens, nBaths, nLivings, nParkings);
		RuralHouse rh = new RuralHouse(houseNumber, this, description, town,feature);
		ruralHouses.add(rh);
		return rh;
	}

	public String toString() {
		return name;
	}

}